Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.model.qiml
Class ChildSequence

    java.lang.Object
      |
      +--com.jxml.quick.model.qiml.ChildSequence

All Implemented Interfaces:
  ContentModel

public class ChildSequence
extends Object
implements ContentModel

ChildSequence - The childSequence element defines a series of sub-models within the content model of the element being defined.

Field Summary
`protected Access` | `access_35`
`protected ArrayList` | `contentModel_36` list of ContentModel
`protected boolean` | `optional_33`
`protected boolean` | `repeating_34`

Constructor Summary
`ChildSequence()`
`ChildSequence(ArrayList contentModel_36)` minimum constructor
`ChildSequence(boolean optional_33, boolean repeating_34, Access access_35, ArrayList contentModel_36)` full constructor

Method Summary
`void` | `addContentModel(ContentModel contentModel)`
`int` | `contentModelCount()`
`Access` | `getAccess_35()`
`ArrayList` | `getContentModel_36()` list of ContentModel
`ContentModel` | `getContentModel(int i)`
`boolean` | `getOptional_33()`
`boolean` | `getRepeating_34()`
`void` | `setAccess_35(Access access_35)`
`void` | `setContentModel_36(ArrayList contentModel_36)` list of ContentModel
`void` | `setContentModel(int i, ContentModel contentModel)`
`void` | `setOptional_33(boolean optional_33)`
`void` | `setRepeating_34(boolean repeating_34)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### optional_33

    protected boolean optional_33

### repeating_34

    protected boolean repeating_34

### access_35

    protected Access access_35

### contentModel_36

    protected ArrayList contentModel_36

  list of ContentModel

Constructor Detail

### ChildSequence

    public ChildSequence()

### ChildSequence

    public ChildSequence(boolean optional_33,
                         boolean repeating_34,
                         Access access_35,
                         ArrayList contentModel_36)

  full constructor

### ChildSequence

    public ChildSequence(ArrayList contentModel_36)

  minimum constructor

Method Detail

### getOptional_33

    public boolean getOptional_33()

### setOptional_33

    public void setOptional_33(boolean optional_33)

### getRepeating_34

    public boolean getRepeating_34()

### setRepeating_34

    public void setRepeating_34(boolean repeating_34)

### getAccess_35

    public Access getAccess_35()

### setAccess_35

    public void setAccess_35(Access access_35)

### getContentModel_36

    public ArrayList getContentModel_36()

  list of ContentModel

### setContentModel_36

    public void setContentModel_36(ArrayList contentModel_36)

  list of ContentModel

### getContentModel

    public ContentModel getContentModel(int i)

### setContentModel

    public void setContentModel(int i,
                                ContentModel contentModel)

### contentModelCount

    public int contentModelCount()

### addContentModel

    public void addContentModel(ContentModel contentModel)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD